tntdb::BlobStreamBuf Class Reference

streambuf for reading from a tntdb::Blob More...

`#include <blobstream.h>`

Inheritance diagram for tntdb::BlobStreamBuf:

## Public Member Functions

| BlobStreamBuf (Blob &blob)
int_type | overflow (int_type c)
| see std::streambuf More...
int_type | underflow ()
| see std::streambuf More...
int | sync ()
| see std::streambuf More...

## Detailed Description

streambuf for reading from a tntdb::Blob

## Member Function Documentation

## overflow()

int_type tntdb::BlobStreamBuf::overflow | ( | int_type | c | ) |

see std::streambuf

## sync()

int tntdb::BlobStreamBuf::sync | ( |  | ) |

see std::streambuf

## underflow()

int_type tntdb::BlobStreamBuf::underflow | ( |  | ) |

see std::streambuf

The documentation for this class was generated from the following file:

- tntdb/bits/blobstream.h